StringBeanDefinitionParser (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.configuration.spring, class: StringBeanDefinitionParser

Package org.apache.cxf.configuration.spring

# Class StringBeanDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
org.apache.cxf.configuration.spring.StringBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class StringBeanDefinitionParser extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

- ## Field Summary

  ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `ID_ATTRIBUTE, NAME_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringBeanDefinitionParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doParse(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
  `protected Class<?>`
  `getBeanClass(Element arg0)`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

  `doParse, getBeanClassName, getParentName, parseInternal`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringBeanDefinitionParser

    public StringBeanDefinitionParser()

- ## Method Details

  - ### doParse

    protected void doParse(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)
    Overrides:
      `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

  - ### getBeanClass

    protected Class<?> getBeanClass(Element arg0)
    Overrides:
      `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`